
export default {
    data() {
        return {
        };
    },
    computed: {
        activeTabId: {
            get: function () {
                return this.curtSheet.controlId;
            },
            set: function (curtSheetId) { },
        },
        tabPosition() {
            return (this.conf && this.conf.tabPosition) || "right";
        },
        onTabClick(tab, event) {
            let sht = this.getSheetByIndex(tab.index);
            if (sht) {
                this.$refs.pageBar.setCurrentPage(sht.pageIndex + 1);
                this.curtPageIndex = sht.pageIndex;
            }
        },
    },
    methods: {
        isRenderTabs() {
            return this.renderType === "tabs";
        },
    }
}